Ext.namespace('Cascade.panel.lager');
Cascade.panel.lager.auswahl_rollenlager_direkt_setGuiValue = function(strID,message)
{
	_setShowComponents = function(strRadioId){
		switch(strRadioId){
			case "DZ_RL"	:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").enable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").disable();
				break;	
			case "Z_RL"		:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").enable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").disable();
				break;
			case "DK_RL"	:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").enable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").disable();
				break;
			case "DZ_RL_SV"	:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").enable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").disable();
				break;	
			case "Z_RL_SV"	:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").enable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").disable();
				break;
			case "DK_RL_SV"	:
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DZ_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_Z_RL_SV_COMBO").disable();
					Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_DK_RL_SV_COMBO").enable();
				break;		
		}
	}
	
	var _setValueRadio = function(strValue){			
		Ext.getCmp(strValue).reset();
		Ext.getCmp(strValue).suspendEvents(false);			
		Ext.getCmp(strValue).setValue(true);			
		Ext.getCmp(strValue).resumeEvents();	
	}
	
	switch(strID){
		case "INITIAL" :
		case "BUTTON" :
				Cascade.panel.lager.auswahl_rollenlager_direkt.setBlockEvent(true);
				var oDialogStores = Cascade.panel.lager.auswahl_rollenlager_direkt.getStore();
				if(message.store){
					for(var i=0;i<message.store.length;i++){
						var aPart = message.store[i];
						switch(aPart[0]){
							case "DZ_RL" :
									oDialogStores.storeDZ_RL.loadData(aPart[1]);	
								break;
							case "Z_RL" :
									oDialogStores.storeZ_RL.loadData(aPart[1]);
								break;
							case "DK_RL" :
									oDialogStores.storeDK_RL.loadData(aPart[1]);
								break;
							case "DZ_RL_SV" :
									oDialogStores.storeDZ_RL_SV.loadData(aPart[1]);
								break;
							case "Z_RL_SV" :
									oDialogStores.storeZ_RL_SV.loadData(aPart[1]);
								break;
							case "DK_RL_SV" :
									oDialogStores.storeDK_RL_SV.loadData(aPart[1]);
								break;
							case "TRAEGERART" :
									oDialogStores.storeTraegerArt.loadData(aPart[1]);
								break;
							case "TRAEGERTYP":
									oDialogStores.storeTraegerGroesse.loadData(aPart[1]);
								break;					
						}
					}
				}
				
				if(message.value){
					if(message.value.strRadio){
						_setValueRadio("LAGER_ROLLENLAGER_DIREKT_"+message.value.strRadio);
						_setShowComponents(message.value.strRadio);
					}
					
					if(message.value.aComboSel){
						for(var i=0;i<message.value.aComboSel.length;i++){
							var aPart = message.value.aComboSel[i];
							Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_"+aPart[0]+"_COMBO").setValue(aPart[1]);
						}
					}
					
					if(message.value.numberfield){
						for(var i=0;i<message.value.numberfield.length;i++){
							var aPart = message.value.numberfield[i];
							var oTraegerNumberfield = Ext.getCmp("LAGER_ROLLEN_DIREKTWAHL_TRAEGER_"+aPart[0]);
							oTraegerNumberfield.setValue(aPart[1])
							
							if(aPart[2])
								oTraegerNumberfield.disable();
							else
								oTraegerNumberfield.enable();	
						}
					}
				}
				
				if(message.checkbox){
					if(message.checkbox.klemmbar)
						Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_KLEMMBAR").setValue(true);
					else		
						Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_KLEMMBAR").setValue(false);
					
					if(message.checkbox.disable == true)
						Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_KLEMMBAR").disable();	
					if(message.checkbox.disable == false)
						Ext.getCmp("LAGER_ROLLENLAGER_DIREKT_KLEMMBAR").enable();	
				}
				
				if(message.resulttable)
					oDialogStores.storeTable.loadData(message.resulttable.store);	
				
				Cascade.panel.lager.auswahl_rollenlager_direkt.setBlockEvent(false);				
			break;
		case "RADIO" :
				Cascade.panel.lager.auswahl_rollenlager_direkt.setBlockEvent(true);
				_setShowComponents(message);
				Cascade.panel.lager.auswahl_rollenlager_direkt.setBlockEvent(false);
			break;	 
	}
}